class WeeklyTimes {
  static final supportedLocales = const ['ko', 'en', 'de', 'ja'];

  static final dates = {
    "ko": <String>['', '일', '월', '화', '수', '목', '금', '토'],
    "en": <String>['', 'SUN', 'MON', 'TUE', 'WED', 'THU', 'FRI', 'SAT'],
    "de": <String>['', 'SON', 'MON', 'DIE', 'MIT', 'DON', 'FRE', 'SAM'],
    "ja": <String>['', '日', '月', '火', '水', '木', '金', '土'],
  };

  static final times = {
    "ko": <String>[
      '',
      '오전 1시',
      '오전 2시',
      '오전 3시',
      '오전 4시',
      '오전 5시',
      '오전 6시',
      '오전 7시',
      '오전 8시',
      '오전 9시',
      '오전 10시',
      '오전 11시',
      '오후 12시',
      '오후 1시',
      '오후 2시',
      '오후 3시',
      '오후 4시',
      '오후 5시',
      '오후 6시',
      '오후 7시',
      '오후 8시',
      '오후 9시',
      '오후 10시',
      '오후 11시',
    ],
    "en": <String>[
      '',
      'AM 1',
      'AM 2',
      'AM 3',
      'AM 4',
      'AM 5',
      'AM 6',
      'AM 7',
      'AM 8',
      'AM 9',
      'AM 10',
      'AM 11',
      'PM 12',
      'PM 1',
      'PM 2',
      'PM 3',
      'PM 4',
      'PM 5',
      'PM 6',
      'PM 7',
      'PM 8',
      'PM 9',
      'PM 10',
      'PM 11',
    ],
    "de": <String>[
      '',
      '01:00',
      '02:00',
      '03:00',
      '04:00',
      '05:00',
      '06:00',
      '07:00',
      '08:00',
      '09:00',
      '10:00',
      '11:00',
      '12:00',
      '13:00',
      '14:00',
      '15:00',
      '16:00',
      '17:00',
      '18:00',
      '19:00',
      '20:00',
      '21:00',
      '22:00',
      '23:00',
    ],
    "ja": <String>[
      '',
      '午前 1時',
      '午前 2時',
      '午前 3時',
      '午前 4時',
      '午前 5時',
      '午前 6時',
      '午前 7時',
      '午前 8時',
      '午前 9時',
      '午前 10時',
      '午前 11時',
      '午後 12時',
      '午後 1時',
      '午後 2時',
      '午後 3時',
      '午後 4時',
      '午後 5時',
      '午後 6時',
      '午後 7時',
      '午後 8時',
      '午後 9時',
      '午後 10時',
      '午後 11時',
    ]
  };

  static bool localContains(String locale) => supportedLocales.contains(locale);
}
